mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.RC2 Managed implementation of the RC2(r) symmetric algorithm.

This implementation supports key size from 40 bits to 128 bits to match Microsoft implementation (based on CryptoAPI). Also to maintain compatibility with CryptoAPI this implementation requires that the effective key size always match the key size.

In Mono this class is completely implemented in managed code.

- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  System.Security.Cryptography.ICryptoTransform `` `` Secret key to be used for the decryption transform. Initialization Vector (IV) to be used by the decryption transform. Creates a symmetric RC2(r) decryptor transform. a that is ready to be used to decrypt data. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Security.Cryptography.ICryptoTransform `` `` Secret key to be used for the encryption transform. Initialization Vector (IV) to be used by the encryption transform. Creates a symmetric RC2(r) encryptor transform. a that is ready to be used to encrypt data. To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void Generate a new random Initialization Vector (IV) required for some block cipher modes.

  The IV is used for most of operation (except ). The value can be made public and must be available when decrypting the data.

  IMPORTANT: If you reuse the same RC2 object for multiple encryption using the same key it is CAPITAL that you use a different IV each time.

  `RC2 rc2 = RC2.Create (); rc2.GenerateKey (); foreach (string file in files) { // each file MUST be encrypted with a different IV rc2.GenerateIV (); // encrypt the specified file with our RC2 key EncryptFile (file, rc2); }` 1.0.5000.0 2.0.0.0
- Method
  System.Void Generate a new random secret key. To be added 1.0.5000.0 2.0.0.0
- Property
  System.Runtime.InteropServices.ComVisible(false)
  System.Boolean To be added. To be added. To be added. 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)